FROM openshift/golang-builder:rhel_8_golang_1.15 AS builder
ENV __doozer=update BUILD_RELEASE=202101090040.p0 BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202101090040.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=6f60899 OS_GIT_VERSION=4.6.0-202101090040.p0-6f60899 SOURCE_DATE_EPOCH=1603802008 SOURCE_GIT_COMMIT=6f60899f17df0103d1b9250d5f99814680a3737a SOURCE_GIT_TAG=v0.0.1-553-g6f60899f SOURCE_GIT_URL=https://github.com/openshift/cluster-kube-scheduler-operator 
WORKDIR /go/src/github.com/openshift/cluster-kube-scheduler-operator
COPY . .
RUN make build --warn-undefined-variables

FROM openshift/ose-base:v4.6.0.20210109.011135
ENV __doozer=update BUILD_RELEASE=202101090040.p0 BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202101090040.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=6f60899 OS_GIT_VERSION=4.6.0-202101090040.p0-6f60899 SOURCE_DATE_EPOCH=1603802008 SOURCE_GIT_COMMIT=6f60899f17df0103d1b9250d5f99814680a3737a SOURCE_GIT_TAG=v0.0.1-553-g6f60899f SOURCE_GIT_URL=https://github.com/openshift/cluster-kube-scheduler-operator 
RUN mkdir -p /usr/share/bootkube/manifests/bootstrap-manifests/ /usr/share/bootkube/manifests/config/ /usr/share/bootkube/manifests/manifests/
COPY --from=builder /go/src/github.com/openshift/cluster-kube-scheduler-operator/bindata/bootkube/bootstrap-manifests /usr/share/bootkube/manifests/bootstrap-manifests/
COPY --from=builder /go/src/github.com/openshift/cluster-kube-scheduler-operator/bindata/bootkube/config /usr/share/bootkube/manifests/config/
COPY --from=builder /go/src/github.com/openshift/cluster-kube-scheduler-operator/bindata/bootkube/manifests /usr/share/bootkube/manifests/manifests/
COPY --from=builder /go/src/github.com/openshift/cluster-kube-scheduler-operator/cluster-kube-scheduler-operator /usr/bin/
COPY manifests /manifests
COPY vendor/github.com/openshift/api/operator/v1/0000_25_kube-scheduler-operator_01_config.crd.yaml /manifests

LABEL \
        io.openshift.release.operator="true" \
        name="openshift/ose-cluster-kube-scheduler-operator" \
        com.redhat.component="ose-cluster-kube-scheduler-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="kube-scheduler" \
        release="202101090040.p0" \
        io.openshift.build.commit.id="6f60899f17df0103d1b9250d5f99814680a3737a" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-kube-scheduler-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-kube-scheduler-operator/commit/6f60899f17df0103d1b9250d5f99814680a3737a" \
        version="v4.6.0"

